{{ stylesheet_link("/css/jobs.show.css") }}
{# 自定义流程得前半部分 #}
<div class="overflow_div">
    <form id="form" action="/jobs/test/" method="post">
        <input type="hidden" name="status" {% if status is defined %} value="{{ status }}" {% endif %}/>
        <input type="hidden" name="next_status" id="next_status"/>
        {# 自定义流程得渲染form #}
        <table border="1" align="center" cellspacing="0.8" cellpadding="0.8" style="height:100px;width:100%;"><caption><p><span style="font-size:26px;"><span style="font-family:Arial,Helvetica,sans-serif;">物料入库申请单</span></span><br></p><p><br></p></caption><tbody><tr><td>物料名称</td><td>{{form['defined_matierias_code']}}</td><td>入库数量</td><td>{{form['defined_pqty']}}</td></tr><tr><td>所属单位</td><td>{{form['defined_owner']}}</td><td>供应商</td><td>{{form['defined_providers_code']}}</td></tr><tr><td>入库用途</td><td>{{form['defined_type']}}</td><td>入库凭证</td><td>{{form['defined_voucher']}}</td></tr><tr><td>入库单价</td><td>{{form['defined_price']}}</td><td>托盘数</td><td>{{form['defined_pans']}}</td></tr></tbody></table><table border="1" align="center" cellspacing="0.8" cellpadding="0.8" style="width:100%;"><tbody><tr><td>入库信息</td><td style="text-align: left; vertical-align: top; height: 200px;">{{form['defined_stockinfo']}}</td></tr><tr><td>备注</td><td>{{form['defined_memo']}}</td></tr></tbody></table><p><br></p>{{form['jobs_id']}}{{form['jobs_code']}}{{form['jobs_key']}}{{form['jobs_created']}}{{form['jobs_createdby']}}{{form['jobs_updatedby']}}{{form['jobs_name']}}{{form['jobs_type']}}{{form['jobs_status']}}{{form['jobs_parent']}}{{form['defined_id']}}{{form['defined_code']}}{{form['defined_key']}}{{form['defined_jobs_code']}}
        {# 自定义流程得提交和脚本 #}
        {% if status is not empty %}
            <span id="status" date={{ status }}></span>
        {% endif %}
        <div id="button">
            {% for index,item in button %}
                <input class="jobs_input" type="button" value="{{ item }}" code="{{ index }}"/>
            {% endfor %}
        </div>
    </form>
</div>
<script>
    $(function () {
        var button = $("div#button input");
        var workflow_code = JIUYANG.GLOBAL.getUrlParam('workflow_code');
        button.each(function () {
            $(this).click(function () {
                var code = $(this).attr("code");
                $("input#next_status").val(code);
                if ($('.stockin_table').length > 0) {
                      if ($('#stockin_datagrid').parent().find('div.datagrid-body input').length > 0) {
                          //弹出提示消息框
                          JIUYANG.GLOBAL.alert("请先保存入库信息组件","","info",3000,"系统提示");
                          return false;
                      }
                }
                $.messager.confirm("提示：", "您是否要执行此操作？", function (r) {
                    if (r) {
                        $("#form").submit();
                    }
                })

            });
        });
        $("#form").form({
            success: function (data) {
                var result = eval("(" + data + ")");
                if (result.code > 0) {
                    $.messager.alert("Error", result.message, "error");
                } else {
                    //$.messager.alert("Info", result.message, 'info');
                    JIUYANG.APP.callback = function () {
                        location.href = '/jobs/index?workflow_code=' + workflow_code;
                        //history.go(-1);
                    };
                    $.messager.alert("系统提示", result.message, 'info', JIUYANG.APP.callback);
                    //setTimeout("history.go(-1)",2000);
                    //JIUYANG.GLOBAL.alert(result.message,JIUYANG.APP.callback);
                }
            }
        });
    });
</script>